#!/usr/bin/env perl

use 5.24.0;

use Data::Dumper;
use Storable;

my $data = retrieve 'everything.stor';
my $module = $ARGV[0];

for my $mod (keys $data->{jobstatus}->%*) {
  $data->{jobstatus}{$mod}{tested} = 1; # set pass to 1
}

# Remove invalid names from the list
$data->{modules} = [grep {!m|[/ ]|} $data->{modules}->@*];

print Dumper($data);

store $data, 'everything.stor';
